Create Call
curl --request POST \
--url https://api.staging.kathan.tech/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"phone_number_id": "<string>",
"to_number": "<string>",
"assistant_id": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.staging.kathan.tech/calls"
payload = {
"phone_number_id": "<string>",
"to_number": "<string>",
"assistant_id": "<string>",
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-User-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone_number_id: '<string>',
to_number: '<string>',
assistant_id: '<string>',
label: '<string>'
})
};
fetch('https://api.staging.kathan.tech/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"to_number": "<string>",
"provider": "<string>",
"status": "<string>",
"phone_number_id": "<string>",
"assistant_id": "<string>",
"from_number": "<string>",
"provider_call_sid": "<string>",
"direction": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"ended_at": "<string>",
"ended_reason": "<string>",
"duration_seconds": 123,
"timestamp": "<string>",
"summary": "<string>",
"user_messages": 123,
"agent_messages": 123,
"recording_url": "<string>",
"stereo_recording_url": "<string>",
"recording_mp3_url": "<string>",
"stereo_recording_mp3_url": "<string>",
"latency_metrics": {},
"per_turn_latency": [
"<unknown>"
],
"cost": 123,
"total_credits": 123,
"cost_breakdown": {},
"costs": [
"<unknown>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Calls
Create Call
POST
/
calls
Create Call
Authorizations
API key authentication.
Required user id for API key requests.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I